Skip to main content

Add to allowed senders list

Add one or more members to the allowed senders list of a specified group channel.

  • Members on the allowed senders list can send messages via the client SDK even when the group channel is frozen.
  • The allowed sender status persists if the user leaves and rejoins the group.
  • The allowed sender status persists even if the group channel is dissolved and recreated.
important

Individual mute has higher priority than the allowed senders list. If a user is individually muted, they cannot send messages even if they are on the allowed senders list.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/group-channel/allowed-sender-list/add

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
userIdsArrayYesUser IDs to add. Max 100 per request.
channelIdStringYesThe group channel ID.

Request example

HTTP
POST /v4/group-channel/allowed-sender-list/add HTTP/1.1
Host: api.sg-light-api.com
App-Key: c9kqb3rdkbb8j
Nonce: 97
Timestamp: 1480479442
Signature: 9774e3d91656dc92df8aff294d46d6a506412538
Content-Type: application/json

{
"channelId": "abcdefg",
"userIds": ["userId_001", "userId_002"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":0}